// При написании кода использовался пример от Alex Yaknin

using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Reflection;

namespace AnimateDemo
{
    public partial class Form1 : Form
    {
        private AnimateCtl animCtl = new AnimateDemo.AnimateCtl();
        string appPath = "";

        public Form1()
        {
            InitializeComponent();

            #if DEBUG
                MinimizeBox = false;
            #else       
                MinimizeBox = true;
            #endif        
                        
            // Определяем путь к запущенному приложению
            appPath = Path.GetDirectoryName(Assembly.GetExecutingAssembly().GetName().CodeBase);
            // указываем картинку, которая должна находиться в одной папке с приложением
            animCtl.Bitmap = new Bitmap(appPath + "\\cat.bmp");
          
            // Определяем позицию
            animCtl.Location = new Point(50, 50);
            
            // Добавляем элемент
            this.Controls.Add(animCtl);
         }

        private void butStart_Click(object sender, EventArgs e)
        {
            animCtl.StartAnimation(32, 100, -1);
            
        }

        private void butStop_Click(object sender, EventArgs e)
        {
            animCtl.StopAnimation();
        }
    }
}